Page MenuHomePhabricator

VisualEditor broken for MobileFrontend
Closed, ResolvedPublic1 Story Points

Description

Broken since 11 December.

As a logged in user with access to VE, attempt to edit any page. See a spinner.

Javascript error shown in Chromium is "TypeError: Illegal invocation TypeError: Illegal invocation "

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.25wmf13Update setupToolbar signature in mobile target
mediawiki/extensions/VisualEditor : masterUpdate setupToolbar signature in mobile target
mediawiki/extensions/VisualEditor : wmf/1.25wmf13Fix Ia6bf604c: Update another caller to ve.init.mw.Target
mediawiki/extensions/MobileFrontend : wmf/1.25wmf13Followup Ia6bf604c, I431a9025: Update way VE target is constructed
mediawiki/extensions/MobileFrontend : masterFollowup Ia6bf604c, I431a9025: Update way VE target is constructed
mediawiki/extensions/VisualEditor : masterFix Ia6bf604c: Update another caller to ve.init.mw.Target

Event Timeline

Cmcmahon raised the priority of this task from to High.
Cmcmahon updated the task description. (Show Details)
Cmcmahon changed Security from none to None.
Cmcmahon added a subscriber: Cmcmahon.

Production or beta labs?

Beta labs, sorry.

Change 180759 had a related patch set uploaded (by Alex Monk):
Update setupToolbar signature in mobile target

https://gerrit.wikimedia.org/r/180759

Patch-For-Review

Change 180759 merged by jenkins-bot:
Update setupToolbar signature in mobile target

https://gerrit.wikimedia.org/r/180759

Krenair claimed this task.Dec 18 2014, 11:29 AM

it should now work.

Krenair closed this task as Resolved.Dec 18 2014, 11:31 AM

(Or at least, as well as the desktop version, which just returns a Parsoid error.)

Krenair added a subscriber: hashar.Dec 18 2014, 2:10 PM

(All the many different problems with Parsoid now seem to be fixed, thanks to @hashar)

Parsoid was stalled to a version from October 28th :-( Thanks to Krenair, Roan and Kartik we get it back to the latest version :-]

Change 180701 merged by jenkins-bot:
Followup Ia6bf604c, I431a9025: Update way VE target is constructed

https://gerrit.wikimedia.org/r/180701

Change 180700 merged by jenkins-bot:
Fix Ia6bf604c: Update another caller to ve.init.mw.Target

https://gerrit.wikimedia.org/r/180700

Change 181005 had a related patch set uploaded (by Jforrester):
Update VE and MF for T78710

https://gerrit.wikimedia.org/r/181005

Patch-For-Review

Change 181005 merged by MaxSem:
Update VE and MF for T78710

https://gerrit.wikimedia.org/r/181005

Change 182993 had a related patch set uploaded (by Alex Monk):
Update setupToolbar signature in mobile target

https://gerrit.wikimedia.org/r/182993

Patch-For-Review

Change 182993 merged by Catrope:
Update setupToolbar signature in mobile target

https://gerrit.wikimedia.org/r/182993

VE works in Mobile betalabs/test2.

verified the fix in en.wiki

Jdforrester-WMF edited a custom field.Feb 2 2015, 8:00 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 7 2018, 4:35 AM